# classes/phing/tasks/system/condition/IsSetCondition.php

## \IsSetCondition
jump to top

Condition that tests whether a given property has been set.

Extends from
  \ProjectComponent
Implements
  \Condition
author
  Hans Lellelid <hans@xmpl.org> (Phing)
author
  Stefan Bodewig <stefan.bodewig@epost.de> (Ant)
package
  phing.tasks.system.condition
version
  $Revision: 526 $

### Properties

`$property= ''`
Details

Type

### Methods

`evaluate( ) :`
Check whether property is set.
Details

throws

`setProperty( $p ) :`
Parameters

Name | Type | Description
--- | --- | ---
$p |  |

Documentation was generated by DocBlox 0.13.1.